--- title: "Change node disk capacity" slug: "ses-changeclusternodedisksize" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-changeclusternodedisksize" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Change node disk capacity Available in VPC Change the search engine cluster data node disk capacity. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/changeClusterNodeDiskSize (Korea Region) | | POST | /api/sgn-v2/cluster/changeClusterNodeDiskSize (Singapore Region) | | POST | /api/jpn-v2/cluster/changeClusterNodeDiskSize (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `diskSize` | Integer | Required | Disk capacity by node - It can be changed in increments of 10 GB, and it must be larger than the existing value. | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/changeClusterNodeDiskSize' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "diskSize": 200, "serviceGroupInstanceNo": 1008***** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: succeeded - `null`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "0d4f6cf7-****-****-****-c2514b22e311" } ```